<?php

namespace Teknisa\SM\Service;
use Teknisa\Libs\Util\Environment;
use Teknisa\SM\Factory\Sm00024000ParametrizacaoResultadoContratoProdutoFactory as parametrizacaoProdutoFactory;

class Sm00024000ParametrizacaoResultadoContratoProdutoService
{
    protected $Environment;
    protected $parametrizacaoProdutoFactory;
    
    public function __construct (parametrizacaoProdutoFactory $parametrizacaoProdutoFactory, Environment $Environment) {
        $this->Environment  = $Environment;
        $this->parametrizacaoProdutoFactory =$parametrizacaoProdutoFactory;
    }
   
    /**
     *  A função "validar" que verifica se já existe produto para cada elemento Selecionado 
     *  que está salvo na widget de Produtos.
     */
     
    public function validar($cdservorca, $cdproduto, $nrorg) {
        
        foreach($cdproduto as $produto){
        $params = array(
            "CDSERVORCA"  => $cdservorca,
            "CDPRODUTO"    => $produto,
            "NRORG"          => $this->Environment->getNrOrg()
        );
        
        $dados = $this->parametrizacaoProdutoFactory-> validar($params); 
        $resultado = $dados[0]["EXISTE"];
        return ($resultado == 0);
    }
        
    }
}

?>