/*+
|                                               |
|     Trigger: DTULTATU_PRODTIPOSUPRI           |  
|     Tabela : PRODTIPOSUPRI                    |
|                                               |
|     Criao:                                  |
|     31/03/2009 - Leonardo Bispo               |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRODTIPOSUPRI' and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
   DROP TRIGGER DTULTATU_PRODTIPOSUPRI
GO

CREATE TRIGGER DTULTATU_PRODTIPOSUPRI
ON PRODTIPOSUPRI
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'PRODTIPOSUPRI',
                 'CDTIPOSUPRI='+CDTIPOSUPRI + ';CDPRODUTO='+CDPRODUTO+';',
                  GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODTIPOSUPRI
      SET DTULTATUPRODTPS = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PRODTIPOSUPRI.CDTIPOSUPRI, 0)   = ISNULL(INSERTED.CDTIPOSUPRI, 0))  AND
            (ISNULL(PRODTIPOSUPRI.CDPRODUTO, 0)     = ISNULL(INSERTED.CDPRODUTO, 0))    AND
            (ISNULL(PRODTIPOSUPRI.VRLIMITEPROD, 0)  = ISNULL(INSERTED.VRLIMITEPROD, 0)) AND
            (ISNULL(PRODTIPOSUPRI.IDREEMBVRPROD, 0) = ISNULL(INSERTED.IDREEMBVRPROD, 0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_PRODTIPOSUPRI','5.07.015';
GO

